<form [formGroup]="testLoginForm" (ngSubmit)="onSubmit()">
  <div>
    <label>Username</label>
    <input type="text" formControlName="username" />
  </div>
  <div>
    <label>Password</label>
    <input type="password" formControlName="password" />
  </div>
  <button type="submit">Submit</button>
</form>
